Subject: Re: [apps-discuss] draft-nottingham-http-problem-04 - details, remediation, links

From: Darrel Miller <[email-masked]>
Date: Mon, 21 Oct 2013 09:48:57 -0400

On Mon, Oct 21, 2013 at 3:33 AM, Mark Nottingham <[email-masked]> wrote:
> I'm about to publish a (hopefully final) draft, where the only major change might be shortening the CamelCase to be lowercase (e.g., "problemType" to "type"), so as not to collide with different people's JSON conventions. Would that cause any problems (for you or anyone else reading)?
>

I don't see any issue with changing the CamelCase to be lower case.
It would be a breaking change to my library but one that is easily
accommodated.

On the positive side it would make it easier to consider registering
"probleminstance" as link relation considering the requirement for
link relation types to be lowercase.  Which actually leads me to the
question, would simply "instance" be a reasonable link relation to
describe the relation between the problem details and the specific
instance of the problem?  I can certainly imagine other scenarios
where the notion of an "instance" might be valuable.  Could this stand
on it's own?

Darrel